Skip to navigation

Get elastic signing agreements

View as Markdown

Retrieves the user agreements for a specified elastic template. Each userAgreementResponse object describes a single user’s response to the elastic signing agreement. You can also filter the agreements by date, status, page number, and client user ID.

Required authentication scopes: click.manage.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequired

The external account number (int) or account ID GUID.

clickwrapIdstringRequired
The GUID of the elastic template.

Query parameters

client_user_idstringOptional
The client ID.
from_datestringOptional
The earliest date to return agreements from.
page_numberstringOptional

The results for this endpoint are paginated. Use this parameter to indicate which page to return. The minimumPagesRemaining value in the response indicates whether to continue querying for additional pages.

For example, if the page size is 40:

  • If this property is set to 0 (the default), the endpoint returns results 1-40.
  • If this property is set to 1, the endpoint returns results 41-80.

The default value is 0.

statusstringOptional
The status of the elastic templates to return.
to_datestringOptional
The latest date to return agreements from.

Response

Successful response.
beginCreatedOnobjectOptional
User agreements from this datetime.
minimumPagesRemainingintegerOptional
Number of pages remaining in the response.
pageintegerOptional
The number of the current page.
pageSizeintegerOptional
The number of items per page.
userAgreementslist of objectsOptional
An array of user agreements.

Errors

400
Bad Request Error